FlxpointAPI Help CenterBeta

Get Count of Fulfillment Requests

gethttps://api.flxpoint.com/fulfillment-requests/count

Use this when you want to pull fulfillment request data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint will get a count of Fulfillment Requests applicable to your filters

Request

Query parameters
  • findOrderIdqueryinteger

    Filter Fulfillment Requests by Order ID.

  • sinceIdqueryinteger

    If passed, returns results with an ID greater than this.

  • fulfillmentRequestNumbersqueryarray[string]

    Finds elements matching these Fulfillment Request Numbers. Max 50

  • filterSourceIdqueryinteger

    Filter Fulfillment Requests by Source ID.

  • filterFulfilmentStatusquerystring

    Filter Fulfillment Requests by Fulfillment Status. Accepts a comma-separated list to filter on multiple statuses at once.

  • filterInvoicedqueryboolean

    Filter Fulfillment Requests that have source invoice available.

  • filterStatusquerystring

    Filter Fulfillment Requests by Fulfillment Request Status. Accepts a comma-separated list to filter on multiple statuses at once.

  • filterIsAcknowledgedqueryboolean

    Filter Fulfillment Requests based on whether or they were acknowledged (true returns only acknowledged, false only those that are not acknowledged).

  • filterAcknowledgedAfterquerystring (date-time)

    Filter Fulfillment Requests that were acknowledged after this date-time.

  • filterIsSentqueryboolean

    Filter Fulfillment Requests based on whether or they have been sent to the source (true returns only those that have been sent, false only those that have not yet been sent).

  • filterSentAfterquerystring (date-time)

    Filter Fulfillment Requests that were sent after this date-time.

  • filterGeneratedAfterquerystring (date-time)

    Filter Fulfillment Requests that were generated after this date-time.

  • filterIsCanceledqueryboolean

    Filter Fulfillment Requests based on whether or they were canceled (true returns only canceled, false only those that are not canceled).

  • filterCanceledAfterquerystring (date-time)

    Filter Fulfillment Requests that were canceled after this date-time.

  • filterIsVoidedqueryboolean

    Filter Fulfillment Requests based on whether or they were voided (true returns only voided, false only those that are not voided).

  • filterVoidedAfterquerystring (date-time)

    Filter Fulfillment Requests that were voided after this date-time.

  • filterIsHeldqueryboolean

    Filter Fulfillment Requests based on whether or they are being held (true returns only held, false only those that are not held).

  • filterHasErrorqueryboolean

    Filter Fulfillment Requests based on whether or they have a processing error (true returns only those with errors, false only those without errors).

  • filterEligibleForProcessingqueryboolean

    Filters Fulfillment Requests based on whether the order it related to is Open/Not Managed (true returns only if the order it is related to is Open/Not Managed, false does not filter PO based on order status).

  • filterPurchaseOrderTypeIdsqueryarray[integer]

    Filter Purchase Orders by type id, using ids from the PurchaseOrderType Enum.

  • isPurchaseOrderAccountingSyncedqueryboolean

    Filter to only include Purchase Orders that have been synced to an Accounting Integration.

  • isOrderAccountingSyncedqueryboolean

    Filter to only include those created for Orders that have been synced to an Accounting Integration. Does not relate to the whether or not the Purchase Order has been synced.

  • hasAccountingErrorqueryboolean

    Filter to include Purchase Orders based on whether or not they have a previous error saved while sending to an Accounting Integration

  • filterOrderInvoicedqueryboolean

    Filter to only include those created for Orders that have invoices. Does not relate to the whether or not the Purchase Order has been invoiced.

Example request

get/fulfillment-requests/count
curl -X GET "https://api.flxpoint.com/fulfillment-requests/count" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
countintegerrequired
Example response
{
  "count": 0
}
400Bad Request

No schema documented for this status.

401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Count of Fulfillment Requests",
    "description": "This endpoint will get a count of Fulfillment Requests applicable to your filters",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "findOrderId",
        "description": "Filter Fulfillment Requests by Order ID."
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "sinceId",
        "description": "If passed, returns results with an ID greater than this."
      },
      {
        "schema": {
          "type": "array",
          "example": "PO123,PO456,PO789",
          "maxItems": 50,
          "uniqueItems": true,
          "items": {
            "type": "string"
          }
        },
        "in": "query",
        "name": "fulfillmentRequestNumbers",
        "description": "Finds elements matching these Fulfillment Request Numbers. Max 50",
        "style": "form"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "filterSourceId",
        "description": "Filter Fulfillment Requests by Source ID."
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "filterFulfilmentStatus",
        "description": "Filter Fulfillment Requests by Fulfillment Status. Accepts a comma-separated list to filter on multiple statuses at once."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterInvoiced",
        "description": "Filter Fulfillment Requests that have source invoice available."
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "filterStatus",
        "description": "Filter Fulfillment Requests by Fulfillment Request Status. Accepts a comma-separated list to filter on multiple statuses at once."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsAcknowledged",
        "description": "Filter Fulfillment Requests based on whether or they were acknowledged (true returns only acknowledged, false only those that are not acknowledged)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterAcknowledgedAfter",
        "description": "Filter Fulfillment Requests that were acknowledged after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsSent",
        "description": "Filter Fulfillment Requests based on whether or they have been sent to the source (true returns only those that have been sent, false only those that have not yet been sent)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterSentAfter",
        "description": "Filter Fulfillment Requests that were sent after this date-time."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterGeneratedAfter",
        "description": "Filter Fulfillment Requests that were generated after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsCanceled",
        "description": "Filter Fulfillment Requests based on whether or they were canceled (true returns only canceled, false only those that are not canceled)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterCanceledAfter",
        "description": "Filter Fulfillment Requests that were canceled after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsVoided",
        "description": "Filter Fulfillment Requests based on whether or they were voided (true returns only voided, false only those that are not voided)."
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "filterVoidedAfter",
        "description": "Filter Fulfillment Requests that were voided after this date-time."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterIsHeld",
        "description": "Filter Fulfillment Requests based on whether or they are being held (true returns only held, false only those that are not held)."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterHasError",
        "description": "Filter Fulfillment Requests based on whether or they have a processing error (true returns only those with errors, false only those without errors)."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterEligibleForProcessing",
        "description": "Filters Fulfillment Requests based on whether the order it related to is Open/Not Managed (true returns only if the order it is related to is Open/Not Managed, false does not filter PO based on order status)."
      },
      {
        "schema": {
          "type": "array",
          "example": "1234,1235,1257",
          "maxItems": 50,
          "uniqueItems": true,
          "items": {
            "type": "integer"
          }
        },
        "in": "query",
        "name": "filterPurchaseOrderTypeIds",
        "description": "Filter Purchase Orders by type id, using ids from the PurchaseOrderType Enum.",
        "style": "form"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "isPurchaseOrderAccountingSynced",
        "description": "Filter to only include Purchase Orders that have been synced to an Accounting Integration."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "isOrderAccountingSynced",
        "description": "Filter to only include those created for Orders that have been synced to an Accounting Integration. Does not relate to the whether or not the Purchase Order has been synced."
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "hasAccountingError",
        "description": "Filter to include Purchase Orders based on whether or not they have a previous error saved while sending to an Accounting Integration"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "filterOrderInvoiced",
        "description": "Filter to only include those created for Orders that have invoices. Does not relate to the whether or not the Purchase Order has been invoiced."
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/GenericCount"
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight